XPressME Integration Kit

フォーラム

Re: XPressME Integration Kit Ver2.4.4の自動更新

#3366
toemon
キーマスター

heijiさんお久しぶりです。

ちょっと旅行に出ていたので確認がおくれました。

XPressME Version::2.42

WordPress Version::3.3.2

の構成からのXPressME自動アップデートを確認してみましたが、特に問題なくアップデートが行われます。

パッケージの構成が異なっています。

のエラーメッセージはパッケージの展開後に展開したディレクトリが見つからない場合に発生します、また

XPressMEの自動更新におけるファイル操作の仕組みはWordPress2.8以降で追加されたWordPress自動更新の仕組みを利用して行っていますので、

WordPress側の自動更新が出来る環境(FTPクライアントを使わずにブラウザ上から)ようであれは、XPressMEの自動更新も可能となります。

これまでに、何度か自動更新されているようであれば、

XPressMEパッケージのダウンロードミスが考えられますので、再度、自動更新を試していただけますようお願いいたします。

何か手順(WordPressを先にバージョンアップしないといけないとか)がありますでしょうか?

こちらのお問い合わせにつきましては特に順番とかはありませんが、今回のXPressME2.4.4はWordPress3.4利用時のバグ対策が含まれますので、WordPress3.4にアップグレードされる前に、XPressME側をアップグレードしておいた方がよいと思います。